viernes, 23 de mayo de 2008

Frostwire en Ubuntu 8.04

Dada la dificultad encontrada para correr Frostwire en Ubuntu 8.04, me puse a investigar y encontré lo siguiente:

Error (el mismo que me mostraba a mi)

Starting FrostWire…
Java exec found in PATH. Verifying…
Suitable java version found [java = 1.6.0]
Configuring environment…
Loading FrostWire:
java.lang.UnsatisfiedLinkError: Can’t load library: /usr/lib/jvm/java-6-openjdk/jre/lib/i386/motif21/libmawt.so
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1666)
at java.lang.Runtime.load0(Runtime.java:787)
at java.lang.System.load(System.java:1022)
at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1767)
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1684)
at java.lang.Runtime.loadLibrary0(Runtime.java:840)
at java.lang.System.loadLibrary(System.java:1047)
at sun.security.action.LoadLibraryAction.run(LoadLibraryAction.java:67)
at sun.security.action.LoadLibraryAction.run(LoadLibraryAction.java:47)
at java.security.AccessController.doPrivileged(Native Method)
at java.awt.Toolkit.loadLibraries(Toolkit.java:1610)
at java.awt.Toolkit.(Toolkit.java:1632)
at com.limegroup.gnutella.gui.Main.showInitialSplash(Main.java:67)
at com.limegroup.gnutella.gui.Main.main(Main.java:39)

******************************************************************
Something went wrong with FrostWire.
Maybe you’re using the wrong version of Java?
(FrostWire is tested against and works best with with Sun’s JRE, Java 1.4+)
The version of Java in your PATH is:
java version “1.6.0″
OpenJDK Runtime Environment (build 1.6.0-b09)
OpenJDK Client VM (build 1.6.0-b09, mixed mode, sharing)

la solución más encontrada a este problema consiste en ejecutar el comando siguiente

sudo update-java-alternatives -s java-6-sun

pero este no funciona en muchos casos, en los que me incluyo. Entonces, la solución que sí funcionó fue la siguiente:

1. Aplicaciones–>Añadir/Eliminar
2. Buscar Java
3. Instalar “Sun Java 6 Runtime
4. En consola, el siguiente comando:

sudo update-alternatives --config java

Elegir opcion java-6-sun y listo; ejecutar Frostwire.

**Extraído de comentario de xenius en el siguiente link: fuente